"""
Cornell Extensions modules

This module includes the classes and functions that are unique to CS 1110.  These are
used in class demonstrations, as well as in the assignments and the labs.

In the past, these were spread across multiple .py files installed into Python.  However,
that made it difficult to manage them.  We have now coordinated everything into a single
package to make things simpler.

This module does not include the game2d classes.  Those are installed separately.

Author: Walker M. White (wmw2)
Date:   July 13, 2017 (Python 3 version)
"""
from .geom import *
from .colors import *
from .unittest import *
from .tkturtle import *
from .urltools import *