"""
Unit test functions for Python

This module provides function-level unit testing tools.  It is a replacement for the 
built-in Python package unittest, which is much less user friendly and requires an 
understanding of OO programming. 

The assert functions in this module are different from standard assert statements.
They stop execution of Python and report the location of the error.

Author: Walker M. White (wmw2)
Date:   July 13, 2017 (Python 3 version)
"""
from .checks import *
from .asserts import *